List API tokens
List the workspace's tokens newest first with their creator and status. Secrets and hashes are never returned.
GET
List the workspace's tokens newest first with their creator and status.
Secrets and hashes are never returned.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidowner?Ownerme lists only the tokens you created; all lists every token.
Default
"all"Value in
"me""all"Successful Response
application/json- response
[index: integer]?curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/api-tokens'Example Response
[ { "created_at": "2019-08-24T14:15:22Z", "created_by": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "deactivated_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_used_at": "2019-08-24T14:15:22Z", "name": "string", "prefix": "string", "revoked_at": "2019-08-24T14:15:22Z", "scopes": [ "string" ], "status": "active" }]